Subject: The Linux cp command has bugs

From: "Polehn, Mike A" <[email-masked]>
Date: Fri, 10 Oct 2014 17:25:23 +0000

cp --version:	8.21

running on Fedora 20, version 3.16.3-200.fc20.x86_64 with latest updates 

The Linux copy command (cp) has problems 

Problem need to copy a tree of 1000s of files to another directory that is a git directory that has a whole bunch of additional build files, so diff between the directories will not do any good.

If the files are copied over the git directory I can do what I need to do, since I need to see if there are in differences in any of the files.

Using: cp -f -r <dir a> <dir b>

For each file being copied it asked:

cp: overwrite XXXXXXXXXXXXXXXXX?

So the force command does not work, since it should skip the asking about doing an overwrite. If the force command is supposed act differently, then there should be an additional argument because answering yes 1000s of times is not very smart... 

Also since there are a lot of files, if I accidently hit return before y, cp moves on to the next file, which implies to me that the file was not copied, which gets to be a problem when 1000s of files are copied. I also assumed that 'y' implies the data was copied.